package ink.wgink.module.dictionary.controller.route;

import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IDataDictionaryRouteController
 * @Description: 数据字典
 * @Author: WangGeng
 * @Date: 2019/12/6 16:52
 * @Version: 1.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "地区字典页面接口")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/area")
public class AreaRouteController {

    @GetMapping("save/{areaParentId}")
    public ModelAndView save(@PathVariable("areaParentId") String areaParentId) {
        ModelAndView mv = new ModelAndView("area/save");
        mv.addObject("areaParentId", areaParentId);
        return mv;
    }

    @GetMapping("update/{areaId}")
    public ModelAndView updateDataDictionary(@PathVariable("areaId") String areaId) {
        ModelAndView mv = new ModelAndView("area/update");
        mv.addObject("areaId", areaId);
        return mv;
    }

    @GetMapping("listtree")
    public ModelAndView listTree() {
        ModelAndView mv = new ModelAndView("area/list-tree");
        return mv;
    }

    @GetMapping("list/{areaParentId}")
    public ModelAndView list(@PathVariable("areaParentId") String areaParentId) {
        ModelAndView mv = new ModelAndView("area/list");
        mv.addObject("areaParentId", areaParentId);
        return mv;
    }

}
