package ink.wgink.module.dictionary.controller.route;

import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IDataDictionaryRouteController
 * @Description: 数据字典
 * @Author: WangGeng
 * @Date: 2019/12/6 16:52
 * @Version: 1.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "数据字典页面接口")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/data")
public class DataRouteController {

    @GetMapping("save/{parentId}")
    public ModelAndView save(@PathVariable("parentId") String parentId) {
        ModelAndView mv = new ModelAndView("data/save");
        mv.addObject("parentId", parentId);
        return mv;
    }

    @GetMapping("update/{dataId}")
    public ModelAndView update(@PathVariable("dataId") String dataId) {
        ModelAndView mv = new ModelAndView("data/update");
        mv.addObject("dataId", dataId);
        return mv;
    }

    @GetMapping("listtree")
    public ModelAndView listTree() {
        ModelAndView mv = new ModelAndView("data/list-tree");
        return mv;
    }

    @GetMapping("list/{parentId}")
    public ModelAndView list(@PathVariable("parentId") String parentId) {
        ModelAndView mv = new ModelAndView("data/list");
        mv.addObject("parentId", parentId);
        return mv;
    }

}
