package ink.wgink.service.user.service;

import ink.wgink.exceptions.RemoveException;
import ink.wgink.exceptions.SaveException;
import ink.wgink.exceptions.SearchException;
import ink.wgink.interfaces.user.IUserBaseService;
import ink.wgink.pojo.dtos.user.UserDTO;
import ink.wgink.pojo.result.SuccessResult;
import ink.wgink.service.user.pojo.vos.UserVO;
import ink.wgink.util.map.HashMapUtil;

import java.util.List;
import java.util.Map;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IUserService
 * @Description: 用户
 * @Author: wanggeng
 * @Date: 2021/1/25 3:06 下午
 * @Version: 1.0
 */
public interface IUserService extends IUserBaseService {

    /**
     * 保存用户
     *
     * @param userVO
     * @return
     */
    void save(UserVO userVO);

    /**
     * 注册用户
     *
     * @param userVO
     * @return
     */
    void register(UserVO userVO);

    /**
     * 删除用户
     *
     * @param ids id数组
     * @return
     */
    void remove(List<String> ids);

    /**
     * 修改用户
     *
     * @param userId
     * @param userVO
     * @return
     */
    void update(String userId, UserVO userVO);

    /**
     * 用户列表
     *
     * @param params
     * @return
     */
    List<UserDTO> list(Map<String, Object> params);
}
